> For the complete documentation index, see [llms.txt](https://docs.coherence.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherence.io/2.3/hosting/self-hosting/open-api-reference/status.md).

# Status

Status related operations

## GET /status

> Fetches the status of the Replication Server.

```json
{"openapi":"3.0.4","info":{"title":"Replication Server REST API","version":"v7.0.0"},"tags":[{"name":"status","description":"Status related operations"}],"servers":[{"url":"http://127.0.0.1:64001","description":"Local Rooms Replication Server"},{"url":"http://127.0.0.1:32004","description":"Local World Replication Server"}],"security":[{"rs_auth":[]}],"components":{"securitySchemes":{"rs_auth":{"type":"http","scheme":"bearer"}},"schemas":{"status.StatusResponse":{"type":"object","properties":{"connected_clients":{"description":"Current number of clients served (excluding PersistenceClients and Simulators).","type":"integer","format":"uint64","minimum":0},"memory_limit":{"description":"Target memory limit for the process.","type":"integer","format":"int64"},"memory_used":{"description":"Current memory usage of the process (can be higher than MemoryLimit).","type":"integer","format":"int64"}},"required":["connected_clients","memory_limit","memory_used"]},"Error":{"type":"object","properties":{"error_code":{"description":"Error code indicating the type of error that occurred.","type":"string","enum":["ERR_BAD_REQUEST","ERR_INTERNAL_ERROR","ERR_RESTRICTED_MODE_CAP_REACHED","ERR_ROOMS_LIMIT_REACHED","ERR_INVALID_SCHEMA","ERR_INVALID_ROOM_LIMIT","ERR_INVALID_MAX_ENTITIES","ERR_ROOM_NOT_FOUND","ERR_HIGH_MEMORY_PRESSURE"]},"user_message":{"description":"User-friendly error message.","type":"string"}},"required":["error_code","user_message"]}}},"paths":{"/status":{"get":{"tags":["status"],"summary":"Fetches the status of the Replication Server.","responses":{"200":{"description":"Status was fetched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/status.StatusResponse"}}}},"500":{"description":"Internal Replication Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /health

> Health check endpoint for the Replication Server.

```json
{"openapi":"3.0.4","info":{"title":"Replication Server REST API","version":"v7.0.0"},"tags":[{"name":"status","description":"Status related operations"}],"servers":[{"url":"http://127.0.0.1:64001","description":"Local Rooms Replication Server"},{"url":"http://127.0.0.1:32004","description":"Local World Replication Server"}],"security":[{"rs_basic":[]}],"components":{"securitySchemes":{"rs_basic":{"type":"http","scheme":"basic"}},"schemas":{"Error":{"type":"object","properties":{"error_code":{"description":"Error code indicating the type of error that occurred.","type":"string","enum":["ERR_BAD_REQUEST","ERR_INTERNAL_ERROR","ERR_RESTRICTED_MODE_CAP_REACHED","ERR_ROOMS_LIMIT_REACHED","ERR_INVALID_SCHEMA","ERR_INVALID_ROOM_LIMIT","ERR_INVALID_MAX_ENTITIES","ERR_ROOM_NOT_FOUND","ERR_HIGH_MEMORY_PRESSURE"]},"user_message":{"description":"User-friendly error message.","type":"string"}},"required":["error_code","user_message"]}}},"paths":{"/health":{"get":{"tags":["status"],"summary":"Health check endpoint for the Replication Server.","responses":{"200":{"description":"Health check was successful","content":{"text/html":{"schema":{"type":"string"}}}},"500":{"description":"Server is unhealthy","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherence.io/2.3/hosting/self-hosting/open-api-reference/status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
